#!/usr/bin/env python
# -*- coding: utf-8 -*-

########################################################################
# Fichier test.py                                                      #
# (C) Alexandre Casamayou-Boucau, Pascal Chauvin, Guillaume Connan     #
#                                                                      #
# Complément de l'ouvrage:                                             #
# Programmation en Python pour les mathématiques                       #
# Editeur: Dunod                    -         Collection: Sciences Sup #
# ISBN-10: 2100574221               -          ISBN-13: 978-2100574223 #
#                                   -                                  #
# Version du 18/01/2012             -                   Licence: GPLv2 #
########################################################################

from expression import *

q = expression("1/n").valeur()
deux = expression("2").valeur()
t = q**deux

s = expression("0").valeur()
for i in range(5):
	s += t
	t *= t

k = expression("1/n^2 + 1/n^4 + 1/n^8 + 1/n^16 + 1/n^32").valeur()

print s - k

print s / k


